﻿'Following five lines import components required later in the form
Imports CompletIT.Windows.Forms.Export.Pdf
Imports CompletIT.Windows.Forms.Export
Imports CompletIT.Windows.Forms.Export.Excel
Imports CompletIT.Windows.Forms.Printing
Imports CompletIT.Windows.Forms.Export.Html

'The Form’s Class starts here:

Public Class Employee_Info
    'Following lines hide the current form and open up form 2

    Private Sub KryptonButton8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles HomeButton.Click
        Me.Hide()
        XtraMain_Menu.Show()
    End Sub

    Private Sub Employee_Info_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'Payroll_BackEndDataSet.Staff_Details' table. You can move, or remove it, as needed.
        Me.Staff_DetailsTableAdapter.Fill(Me.Payroll_BackEndDataSet.Staff_Details)

        'Following lines disable the four check box corresponding text boxes when the form loads.
        TextBox1.Enabled = False
        TextBox2.Enabled = False
        TextBox3.Enabled = False
        TextBox4.Enabled = False

    End Sub
    Private Sub TextBox1_KeyUp(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox1.KeyUp
        Staff_DetailsBindingSource.Filter = String.Format("[EmployeeCode] like '{0}%'", Me.TextBox1.Text)
    End Sub
    'Following lines save the data entered in the staff table to the corresponding database.

    Private Sub Staff_DetailsBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.Validate()
        Me.Staff_DetailsBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.Payroll_BackEndDataSet)
    End Sub

    Private Sub Print_ReportButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Print_ReportButton.Click
        DGVEPrintManager.Print(Staff_DetailsDataGridView, cbpd.Checked)
        'Note! There is overload of the Print
        'method which accepts print settings (DGVEPrintSettings)
    End Sub

    Private Sub Print_PreviewButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Print_PreviewButton.Click
        'Note! There is overload of the PrintPreview 
        'method which accepts print settings (DGVEPrintSettings); 
        DGVEPrintManager.PrintPreview(Staff_DetailsDataGridView)
    End Sub
    'Following lines show an error if export fails

    Private Sub exporter_ExportFailed(ByVal sender As Object, ByVal e As CompletIT.Windows.Forms.Export.ExportFailedEventArgs)
        'Show message box with the occured exception 
        MessageBox.Show(e.Exception.Message)
    End Sub
    'These lines of code export the data grid to PDF
    Private Sub XportPDFButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles XportPDFButton.Click
        Dim pdfExporter As DGVEPdfExporter = New DGVEPdfExporter()
        Dim dialog As DGVEBaseExportSettingsEditorForm = DGVEExportSettingsEditorFormBuilder.CreateWrappingForm(pdfExporter)
        dialog.Settings = New DGVEPdfExportSettings()
        If (DialogResult.OK <> dialog.ShowDialog()) Then
            Return
        End If

        'Following lines show an error if export fails

        AddHandler pdfExporter.ExportFailed, AddressOf exporter_ExportFailed
        pdfExporter.Export(Staff_DetailsDataGridView, dialog.Settings)
    End Sub
    'These lines of code export the data grid to Excel

    Private Sub XportExcelButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles XportExcelButton.Click
        'You can export any DataGridView control, no matter managed or not by the extension
        Dim editor As DGVEExcelExportSettingsEditor = New DGVEExcelExportSettingsEditor()
        Dim settings As DGVEExcelExportSettings = New DGVEExcelExportSettings()
        'Set values to any of the other properties of the settings object...
        Dim dialog As DGVEBaseExportSettingsEditorForm = DGVEExportSettingsEditorFormBuilder.CreateWrappingForm(editor)
        dialog.Settings = settings
        If (System.Windows.Forms.DialogResult.OK <> dialog.ShowDialog()) Then
            Return
        End If

        Dim exporter As DGVEExcelExporter = New DGVEExcelExporter()
        AddHandler exporter.ExportFailed, AddressOf exporter_ExportFailed
        exporter.Export(Staff_DetailsDataGridView, settings)
    End Sub
    'These lines of code export the data grid to HTML
    Private Sub XportHTMLButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles XportHTMLButton.Click
       'These lines of code export the data grid to HTML
        Dim htmlExporter As DGVEHtmlExporter = New DGVEHtmlExporter()
        Dim dialog As DGVEBaseExportSettingsEditorForm = DGVEExportSettingsEditorFormBuilder.CreateWrappingForm(htmlExporter)
        'Pass the default settings from the exporter to the editor control
        dialog.Settings = htmlExporter.DefaultSettings
        If (DialogResult.OK <> dialog.ShowDialog()) Then
            Return
        End If
        AddHandler htmlExporter.ExportFailed, AddressOf exporter_ExportFailed
        htmlExporter.Export(Staff_DetailsDataGridView, dialog.Settings)
    End Sub
    'Following lines filter the data in the data grid according to the text entered in the three txt boxes mentioned below in the code
    Private Sub KryptonButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KryptonButton1.Click
        Staff_DetailsBindingSource.Filter = String.Format("[Status] like '%{0}%' AND [DepartmentCode] like '%{1}%' AND [Address] like '%{2}%'", Me.TextBox3.Text, Me.TextBox2.Text, Me.TextBox4.Text)
    End Sub
    'Following lines enable text box 1 if check box 1 is checked, else the text box is disabled.
    Private Sub KryptonCheckBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KryptonCheckBox1.CheckedChanged
        If KryptonCheckBox1.Checked = True Then
            TextBox1.Enabled = True
        Else : TextBox1.Enabled = False
        End If
    End Sub

    'Following lines enable text box 2 if check box 2 is checked, else the text box is disabled.
    Private Sub KryptonCheckBox2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KryptonCheckBox2.CheckedChanged
        If KryptonCheckBox2.Checked = True Then
            TextBox2.Enabled = True
        Else : TextBox2.Enabled = False
        End If
    End Sub

    'Following lines enable text box 3 if check box 3 is checked, else the text box is disabled.
    Private Sub KryptonCheckBox3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KryptonCheckBox3.CheckedChanged
        If KryptonCheckBox3.Checked = True Then
            TextBox3.Enabled = True
        Else : TextBox3.Enabled = False
        End If
    End Sub
    'Following lines enable text box 4 if check box 4 is checked, else the text box is disabled.
    Private Sub KryptonCheckBox4_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles KryptonCheckBox4.CheckedChanged
        If KryptonCheckBox4.Checked = True Then
            TextBox4.Enabled = True
        Else : TextBox4.Enabled = False
        End If
    End Sub

    Private Sub BackButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BackButton.Click
        Me.Hide()
        XtraMain_Menu.Show()
    End Sub

    Private Sub ExitButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitButton.Click
        If MsgBox("Are You Sure You Want To Quit The Program?", vbYesNo, Title:="Close Confirmation") = vbYes Then
            Me.Close()
        End If
    End Sub
    'Following line marks the end of the form’s class.
End Class
